---
updatedAt: 2025-06-09T22:41:52.000Z
agentTools:
  projectIndex: https://docs.zenloop.com/llms.txt
---

# Anonymise Recipient Data

This endpoint allows you to anonymise recipient information.
You can provide a list of a minimum of 1 and a maximum of 100 recipients.

```json Example request
{
	"recipients": [
  	"test_1@example.com",
  	"test_2@example.com",
    "ID_123456789"
  ]
}
```

## Response attributes

| Attribute  |  Type  | Description     |
| :--------- | :----: | :-------------- |
| **status** | string | Request status. |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.zenloop.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/v1/recipients/anonymise": {
      "post": {
        "summary": "Anonymise Recipient Data",
        "description": "This endpoint allows you to anonymise recipient information.\nYou can provide a list of a minimum of 1 and a maximum of 100 recipients.",
        "operationId": "anonymise-recipient-data",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "default": "Bearer <token>"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "recipients"
                ],
                "properties": {
                  "recipients": {
                    "type": "array",
                    "description": "List of recipients identities.",
                    "items": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "202": {
            "description": "202",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n\t\"status\": \"Request queued.\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "Request queued."
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"status\": 400,\n  \"title\": \"Invalid request body.\",\n  \"links\": {\n    \"documentation\": \"https://docs.zenloop.com/v1.0/reference#anonymise-recipient-data\"\n  },\n  \"code\": \"INVALID_REQUEST\",\n  \"details\": [{\n    \"detail\": \"Expected a minimum of 1 items but got 0.\",\n    \"pointer\": \"/recipients\"\n  }]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "title": {
                      "type": "string",
                      "example": "Invalid request body."
                    },
                    "links": {
                      "type": "object",
                      "properties": {
                        "documentation": {
                          "type": "string",
                          "example": "https://docs.zenloop.com/v1.0/reference#anonymise-recipient-data"
                        }
                      }
                    },
                    "code": {
                      "type": "string",
                      "example": "INVALID_REQUEST"
                    },
                    "details": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "detail": {
                            "type": "string",
                            "example": "Expected a minimum of 1 items but got 0."
                          },
                          "pointer": {
                            "type": "string",
                            "example": "/recipients"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"error\": {\n    \"status\": 401,\n    \"code\": \"UNAUTHORIZED\",\n    \"title\": \"Invalid or expired token.\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "integer",
                          "example": 401,
                          "default": 0
                        },
                        "code": {
                          "type": "string",
                          "example": "UNAUTHORIZED"
                        },
                        "title": {
                          "type": "string",
                          "example": "Invalid or expired token."
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"error\": {\n    \"status\": 403,\n    \"code\": \"FORBIDDEN\",\n    \"title\": \"Sorry, this action is not available to you under your current user role. Please contact your Account Owner for more details.\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "integer",
                          "example": 403,
                          "default": 0
                        },
                        "code": {
                          "type": "string",
                          "example": "FORBIDDEN"
                        },
                        "title": {
                          "type": "string",
                          "example": "Sorry, this action is not available to you under your current user role. Please contact your Account Owner for more details."
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "429",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"error\": {\n    \"status\": 429,\n    \"code\": \"TOO_MANY_REQUESTS\",\n    \"title\": \"Rate limit exceeded.\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "integer",
                          "example": 429,
                          "default": 0
                        },
                        "code": {
                          "type": "string",
                          "example": "TOO_MANY_REQUESTS"
                        },
                        "title": {
                          "type": "string",
                          "example": "Rate limit exceeded."
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Content-Type",
        "value": "application/json"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```